# Problems compiling

Michael J Surette (msurette@iosphere.net)
Sun, 3 Jan 1999 10:25:12 -0500 (EST)

- Messages sorted by: [ date ] [ thread ] [ subject ] [ author ]
- Next message: Dirk von Suchodoletz: "Re: Problems compiling"
- Previous message: Dirk von Suchodoletz: "Re: P: xcam and geometry top-left-x=0 (and EXIT Problems)"
- Next in thread: Oliver Rauch: "Re: Problems compiling"
- Reply: Oliver Rauch: "Re: Problems compiling"
- Reply: Guy G. Sotomayor: "Re: Problems compiling"

I am running Stampede Linux w/2.0.26 kernel and pgcc -2.91.57. I am
trying to compile sane-1.00.

On my first try backend/abaton.c gave me an error on line 1116. I changed
it from...
s->val[OPT_X_RESOLUTION] = *(SANE_Word *)val;
to...
s->val[OPT_X_RESOLUTION].w = *(SANE_Word *)val;
and that file gave me no more problems.

umax.c now gives me a 'virtual memory exhausted' error (see below). I
have 32Mb of ram and a 64Mb swap partition. Shouldn't this be enough?
Any ideas?

    ---
    make[1]: Entering directory `/usr/src/sane-1.00/backend'
    gcc -c -g -O2 -Wall -DHAVE_CONFIG_H -I. -I. -I../include -I../include
    -D_GNU_SOURCE -DPATH_SANE_CONFIG_DIR=/usr/etc/sane.d
    -DPATH_SANE_DATA_DIR=/usr/share -DV_MAJOR=1 -DV_MINOR=0
    -DBACKEND_NAME=umax -DLIBDIR=/usr/lib/sane -fPIC -DPIC umax.cumax.c: In
    function `init_options':
    umax.c:3954: virtual memory exhausted
    make[1]: *** [umax.lo] Error 1
    make[1]: Leaving directory `/usr/src/sane-1.00/backend'
    make: *** [all-recursive] Error 1

    --
    Source code, list archive, and docs: http://www.mostang.com/sane/
    To unsubscribe: echo unsubscribe sane-devel | mail majordomo@mostang.com

     Next message: Dirk von Suchodoletz: "Re: Problems compiling"
     Previous message: Dirk von Suchodoletz: "Re: P: xcam and geometry top-left-x=0 (and EXIT Problems)"

     Next in thread: Oliver Rauch: "Re: Problems compiling"
     Reply: Oliver Rauch: "Re: Problems compiling"
     Reply: Guy G. Sotomayor: "Re: Problems compiling"